<template>
  <header class="bg-white">
    <nav class="navbar">
      <div class="navbar-left">
        <nuxt-link to="/" class="navbar-logo">
          <img src="images/icons/peergame-logo-dark.svg" alt="logo">
        </nuxt-link>
        <nuxt-link to="/bitcoinsv" class="events-link" type="button" name="button">
          <img src="images/logos/trophy.png" alt="">
          Events
        </nuxt-link>
      </div>
      <button @click="$emit('toggleGames')" class="games-btn" type="button" name="button">
        GAMES
        <img src="images/icons/arrow-down.svg" alt="">
      </button>
      <div class="right-box">
        <button class="lang-btn" @click="$emit('toggleLanguageSwithcher')" type="button" name="button">
          <img class="lang-img" width="24px;" src="images/languages/english.png" alt="">
          <img width="16px" src="images/icons/arrow-down.svg" alt="">
        </button>
        <button @click="$emit('toggleNotification')" class="notific-btn" type="button" name="button">
          <img src="images/icons/off.svg" alt="">
          <div class="notific-circle">

          </div>
        </button>
        <button @click="$emit('toggleSidebar')" class="sidebar-btn" type="button" name="button">
          <img src="images/icons/side-navigation.svg" alt="">
        </button>
      </div>
    </nav>
  </header>
</template>

<script>
// const Games = () => import('~/components/UIComponents/Games');
// const Notifications = () => import('~/components/UIComponents/Notifications');
// const LanguageSwitcher = () => import('~/components/UIComponents/LanguageSwitcher');
//
// export default {
//   // middleware: 'auth',
//   components: {
//     Notifications
//   },
// }
</script>
